;********************************************************************
;*     Function: ColdBoot                                           *
;*     Writer: Kraig Krist/TBCS                                     *
;*             PO Box 711                                           *
;*             Annandale VA 22003-0711                              *
;*     Date: May 27, 1994                                           *
;*     Description: Clipper 5.x UDF: Cause a Cold Boot              *
;********************************************************************
;*                                                                  *
;*     ***** Function Specifications *****                          *
;*                                                                  *
;*       Passed in: Nothing                                         *
;*                                                                  *
;*       Returns: Nothing. Reboots PC.                              *
;*                                                                  *
;********************************************************************
;*                    ----- Modification Log -----                  *
;*     When:                                                        *
;*     Why:                                                         *
;********************************************************************
.MODEL LARGE
INCLUDE EXTASM.INC
PUBLIC COLDBOOT
.CODE
COLDBOOT PROC FAR
  mov ax,4A10h
  mov bx,0001h
  int 2Fh ; flush the SmartDrv Cache
  mov ax,0040h ; this line and the next establish Data Segment (DS)
  mov ds,ax    ; at 0040
  mov WORD PTR DS:[0072h],0000h ; load value 0000 into memory location 0072
                                ; this will cause a coldboot
  mov ax,0ffffh ; these lines cause a jump to FFFF:0000
  push ax       ; which will cause the reboot
  xor ax,ax
  push ax
RETF
COLDBOOT ENDP
END
